# [  0   1   2   3 ]
# [  4   5   6   7 ]
# [  8   9  10  11 ]
# [ 12  13  14  15 ]

class mat4:
    """
    Matrix 4
    Its solo purpose is to provide mat4 objects for Quaternion class
    
    """

    def __init__(self, *args):
        """" 16 args """
        
        # 16 arguments
        if len(args)==16:
            self.elements = list(args)
        else:
            raise TypeError
